Subject: Re: [dmarc-ietf] text correction on DMARC spec re reporting DNS record

From: Roland Turner <[email-masked]>
Date: Sun, 20 Oct 2013 18:51:26 +0800

Hi Rolf,

On 09/26/2013 04:15 PM, Rolf E. Sonneveld wrote:
> Hi, Roland,
>
> On 09/26/2013 03:39 AM, Roland Turner wrote:
>> Rolf, are you suggesting that the [already deployed, working] 
>> mechanism described in 7.1 whereby a putative report receiver can 
>> purportedly do that exact thing (confirm willingness to receive, via 
>> DNS) is unworkable? 
>
> No.

My mistake, I read (and replied to) the thread out of sequence.

>
>> Something else?
>
> The text I proposed is in the category 'minor improvements'. As "[...] 
> The mission of the IETF is to produce high quality, relevant technical 
> and engineering documents [...]" (RFC3935, BCP95) the proposed text is 
> an attempt to differentiate between the various roles that exists in 
> any medium to large organization.
>
> All in all, when trying to come up with some text I realized that it 
> would help when some 'domain' definitions would be added to the DMARC 
> spec, to address the various sorts of domains there are in the context 
> of DMARC. I'd suggest to move the currently present Domain definitions 
> from the intro of chapter 3 to a separate paragraph ("3.1 Domain 
> Definitions", for example) and add definitions for:
>
> - Author Domain
> - Submission Domain (see RFC5598, par 4.1.4, discussion on 
> RFC5321.MailFrom)
> - Receiver Domain
> - Report Receiver Domain
>
> and then use these names/definitions throughout the document.
>
> I'd be happy to come up with some text, but maybe it's better to wait 
> for the formal review phase?

This all makes sense. I'm guessing that Murray's pass through the list 
archive for changes to document will consider this.

Murray?

- Roland